// SPDX-FileCopyrightText: 2018-2025 Tobias Leupold <tl@stonemx.de>
//
// SPDX-License-Identifier: GPL-3.0-or-later

#ifndef SCOREPOPUP_H
#define SCOREPOPUP_H

// Local includes
#include "shared/SelectionPopup.h"

// Local classes
class BoogerSpinBox;

class ScorePopup : public SelectionPopup
{
    Q_OBJECT

public:
    explicit ScorePopup(QWidget *parent, int boogerScore);

public Q_SLOTS:
    void show(BoogerSpinBox *targetSpinBox);

Q_SIGNALS:
    void requestSetScore(int score, BoogerSpinBox *targetSpinBox);

private: // Variables
    BoogerSpinBox *m_targetSpinBox;

};

#endif // SCOREPOPUP_H
