// SPDX-FileCopyrightText: 2020-2025 Tobias Leupold <tl@stonemx.de>
//
// SPDX-License-Identifier: GPL-3.0-or-later

#ifndef LED_H
#define LED_H

// Qt includes
#include <QLabel>

// Qt classes
class QTimer;
class QPaintEvent;

class Led : public QLabel
{
    Q_OBJECT

public:
    enum State {
        Off,
        Red,
        Green
    };

    explicit Led(int size, QWidget *parent = nullptr);
    void setState(State state);
    void flash();

protected: // Functions
    void paintEvent(QPaintEvent *) override;

private: // Variables
    QTimer *m_flashTimer;
    QRect m_rect;
    int m_radius = 0;
    State m_state = Led::Off;

};

#endif // LED_H
