// SPDX-FileCopyrightText: 2023-2025 Tobias Leupold <tl@stonemx.de>
//
// SPDX-License-Identifier: GPL-3.0-or-later

// Local includes
#include "Logging.h"
#include "debugMode.h"

#ifdef DEBUG_MODE
// Enable all messages in debug mode
Q_LOGGING_CATEGORY(MuckturnierLog,     "Muckturnier")
Q_LOGGING_CATEGORY(BookingLog,         "Muckturnier.Booking")
Q_LOGGING_CATEGORY(DatabaseLog,        "Muckturnier.Database")
Q_LOGGING_CATEGORY(NoteGeneratorLog,   "Muckturnier.NoteGenerator")
Q_LOGGING_CATEGORY(RegistrationLog,    "Muckturnier.Registration")
Q_LOGGING_CATEGORY(ScheduleDisplayLog, "Muckturnier.ScheduleDisplay")
Q_LOGGING_CATEGORY(DrawLog,            "Muckturnier.Draw")
#else
// Only enable warnings otherwise
Q_LOGGING_CATEGORY(MuckturnierLog,     "Muckturnier",                 QtWarningMsg)
Q_LOGGING_CATEGORY(BookingLog,         "Muckturnier.Booking",         QtWarningMsg)
Q_LOGGING_CATEGORY(DatabaseLog,        "Muckturnier.Database",        QtWarningMsg)
Q_LOGGING_CATEGORY(NoteGeneratorLog,   "Muckturnier.NoteGenerator",   QtWarningMsg)
Q_LOGGING_CATEGORY(RegistrationLog,    "Muckturnier.Registration",    QtWarningMsg)
Q_LOGGING_CATEGORY(ScheduleDisplayLog, "Muckturnier.ScheduleDisplay", QtWarningMsg)
Q_LOGGING_CATEGORY(DrawLog,            "Muckturnier.Draw",            QtWarningMsg)
#endif
