// SPDX-FileCopyrightText: 2025 Tobias Leupold <tl@stonemx.de>
//
// SPDX-License-Identifier: GPL-3.0-or-later

#ifndef POPUPBUTTON_H
#define POPUPBUTTON_H

// Qt includes
#include <QPushButton>

class PopupButton : public QPushButton
{
    Q_OBJECT

public:
    explicit PopupButton(const QString &text = QString(), QWidget *parent = nullptr);
    void setColor(const QColor &color);

protected: // Functions
    void paintEvent(QPaintEvent *) override;

private: // Variables
    QColor m_color;

};

#endif // POPUPBUTTON_H
